app: include gegl-plugin.h in gimpdrawable.c

GimpDrawable uses gegl_operation_invalidate () which is part of the
plug-in/operation API, not the core GEGL API.
parent 477b2e1a
......@@ -18,6 +18,7 @@
#include "config.h"
#include <gegl.h>
#include <gegl-plugin.h>
#include "libgimpbase/gimpbase.h"
#include "libgimpcolor/gimpcolor.h"
......@@ -715,7 +716,7 @@ gimp_drawable_real_update (GimpDrawable *drawable,
rect.width = width;
rect.height = height;
gegl_operation_invalidate (operation, &rect);
gegl_operation_invalidate (GEGL_OPERATION (operation), &rect, FALSE);
g_object_unref (operation);
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment